﻿using UnityEngine;
using System.Collections;

public class CurrentWeapon : MonoBehaviour {
	public WeaponStats currentWeapon;
	private SpriteRenderer spriteRenderer;
	// Use this for initialization
	void Start () {
		spriteRenderer = GetComponent<SpriteRenderer> ();
		updateWeapon ();
	}
	
	// Update is called once per frame
	void Update () {
		updateWeapon ();
	}

	void updateWeapon(){
		if (currentWeapon.image == null) {
			Debug.Log ("A weapon image was not set properly! (it's NULL)");
		} 
		else {
			spriteRenderer.sprite = currentWeapon.image;
		
		}
	}
}
