﻿using UnityEngine;
using System.Collections;
using UnityEditor;

public class CreateArmour : MonoBehaviour {

    [MenuItem("Assets/Create/New Armour")] // can create this by going assets > create > new armour
    public static void MakeArmour() {
        ArmourStats armour = ScriptableObject.CreateInstance<ArmourStats>();
        AssetDatabase.CreateAsset(armour, "Assets/NewArmour.asset"); // we can edit fields in inspector
        AssetDatabase.SaveAssets();
        EditorUtility.FocusProjectWindow();
        Selection.activeObject = armour; // able to highlight it
    }

}
