﻿using UnityEngine;
using System.Collections;

[System.Serializable]
//  This class will be used to edit each individual potion, both its stats and shop menu buttons!
public class PotionObject : ScriptableObject {
    // display fields for shop buttons
    public string potionName;
    public string stat; // what stat to manipulate
    public int buffAmount; // how much we want to increase said stat
    public int cost;
    public string potionDescription;
    public Sprite image;
    public int inInventory; // how many the player holds (has purchased)
}
